<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxLayoutManager (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxLayoutManager (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxLayoutManager.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.view</a></div>
<h2 title="Class mxLayoutManager" class="title">Class mxLayoutManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">hk.quantr.mxgraph.util.mxEventSource</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.view.mxLayoutManager</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxLayoutManager</span>
extends <a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></pre>
<div class="block">Implements a layout manager that updates the layout for a given transaction.
 The following example installs an automatic tree layout in a graph:
 
 <code>
 new mxLayoutManager(graph) {
 
   mxCompactTreeLayout layout = new mxCompactTreeLayout(graph);
   
   public mxIGraphLayout getLayout(Object parent)
   {
     if (graph.getModel().getChildCount(parent) > 0) {
       return layout;
     }
     return null;
   }
 };
 </code>
 
 This class fires the following event:
 
 mxEvent.LAYOUT_CELLS fires between begin- and endUpdate after all cells have
 been layouted in layoutCells. The <code>cells</code> property contains all
 cells that have been passed to layoutCells.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bubbling">bubbling</a></span></code></th>
<td class="colLast">
<div class="block">Optional string that specifies the attributename to be passed to
 mxCell.is to check if the rule applies to a cell.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#enabled">enabled</a></span></code></th>
<td class="colLast">
<div class="block">Optional string that specifies the value of the attribute to be passed
 to mxCell.is to check if the rule applies to a cell.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#graph">graph</a></span></code></th>
<td class="colLast">
<div class="block">Defines the type of the source or target terminal.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#moveHandler">moveHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#undoHandler">undoHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../util/mxEventSource.html#eventListeners">eventListeners</a>, <a href="../util/mxEventSource.html#eventsEnabled">eventsEnabled</a>, <a href="../util/mxEventSource.html#eventSource">eventSource</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.view.mxGraph)">mxLayoutManager</a></span>&#8203;(<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#beforeUndo(hk.quantr.mxgraph.util.mxUndoableEdit)">beforeUndo</a></span>&#8203;(<a href="../util/mxUndoableEdit.html" title="class in hk.quantr.mxgraph.util">mxUndoableEdit</a>&nbsp;edit)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cellsMoved(java.lang.Object%5B%5D,java.awt.Point)">cellsMoved</a></span>&#8203;(java.lang.Object[]&nbsp;cells,
          java.awt.Point&nbsp;location)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#destroy()">destroy</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#executeLayout(hk.quantr.mxgraph.layout.mxIGraphLayout,java.lang.Object)">executeLayout</a></span>&#8203;(<a href="../layout/mxIGraphLayout.html" title="interface in hk.quantr.mxgraph.layout">mxIGraphLayout</a>&nbsp;layout,
             java.lang.Object&nbsp;parent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected java.util.Collection&lt;java.lang.Object&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCellsForChange(hk.quantr.mxgraph.util.mxUndoableEdit.mxUndoableChange)">getCellsForChange</a></span>&#8203;(<a href="../util/mxUndoableEdit.mxUndoableChange.html" title="interface in hk.quantr.mxgraph.util">mxUndoableEdit.mxUndoableChange</a>&nbsp;change)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected java.util.Collection&lt;java.lang.Object&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCellsForChanges(java.util.List)">getCellsForChanges</a></span>&#8203;(java.util.List&lt;<a href="../util/mxUndoableEdit.mxUndoableChange.html" title="interface in hk.quantr.mxgraph.util">mxUndoableEdit.mxUndoableChange</a>&gt;&nbsp;changes)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGraph()">getGraph</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected <a href="../layout/mxIGraphLayout.html" title="interface in hk.quantr.mxgraph.layout">mxIGraphLayout</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLayout(java.lang.Object)">getLayout</a></span>&#8203;(java.lang.Object&nbsp;parent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isBubbling()">isBubbling</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isEnabled()">isEnabled</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#layoutCells(java.lang.Object%5B%5D)">layoutCells</a></span>&#8203;(java.lang.Object[]&nbsp;cells)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBubbling(boolean)">setBubbling</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setEnabled(boolean)">setEnabled</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGraph(hk.quantr.mxgraph.view.mxGraph)">setGraph</a></span>&#8203;(<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../util/mxEventSource.html#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a>, <a href="../util/mxEventSource.html#fireEvent(hk.quantr.mxgraph.util.mxEventObject)">fireEvent</a>, <a href="../util/mxEventSource.html#fireEvent(hk.quantr.mxgraph.util.mxEventObject,java.lang.Object)">fireEvent</a>, <a href="../util/mxEventSource.html#getEventSource()">getEventSource</a>, <a href="../util/mxEventSource.html#isEventsEnabled()">isEventsEnabled</a>, <a href="../util/mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a>, <a href="../util/mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a>, <a href="../util/mxEventSource.html#setEventsEnabled(boolean)">setEventsEnabled</a>, <a href="../util/mxEventSource.html#setEventSource(java.lang.Object)">setEventSource</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="graph">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>graph</h4>
<pre>protected&nbsp;<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a> graph</pre>
<div class="block">Defines the type of the source or target terminal. The type is a string
 passed to mxCell.is to check if the rule applies to a cell.</div>
</li>
</ul>
<a id="enabled">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enabled</h4>
<pre>protected&nbsp;boolean enabled</pre>
<div class="block">Optional string that specifies the value of the attribute to be passed
 to mxCell.is to check if the rule applies to a cell. Default is true.</div>
</li>
</ul>
<a id="bubbling">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bubbling</h4>
<pre>protected&nbsp;boolean bubbling</pre>
<div class="block">Optional string that specifies the attributename to be passed to
 mxCell.is to check if the rule applies to a cell. Default is true.</div>
</li>
</ul>
<a id="undoHandler">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>undoHandler</h4>
<pre>protected&nbsp;<a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a> undoHandler</pre>
</li>
</ul>
<a id="moveHandler">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>moveHandler</h4>
<pre>protected&nbsp;<a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a> moveHandler</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(hk.quantr.mxgraph.view.mxGraph)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxLayoutManager</h4>
<pre>public&nbsp;mxLayoutManager&#8203;(<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="isEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnabled</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isEnabled()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enabled</dd>
</dl>
</li>
</ul>
<a id="setEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnabled</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setEnabled&#8203;(boolean&nbsp;value)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the enabled to set</dd>
</dl>
</li>
</ul>
<a id="isBubbling()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBubbling</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isBubbling()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the bubbling</dd>
</dl>
</li>
</ul>
<a id="setBubbling(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBubbling</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setBubbling&#8203;(boolean&nbsp;value)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the bubbling to set</dd>
</dl>
</li>
</ul>
<a id="getGraph()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraph</h4>
<pre class="methodSignature">public&nbsp;<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;getGraph()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the graph</dd>
</dl>
</li>
</ul>
<a id="setGraph(hk.quantr.mxgraph.view.mxGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setGraph&#8203;(<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;value)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the graph to set</dd>
</dl>
</li>
</ul>
<a id="getLayout(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLayout</h4>
<pre class="methodSignature">protected&nbsp;<a href="../layout/mxIGraphLayout.html" title="interface in hk.quantr.mxgraph.layout">mxIGraphLayout</a>&nbsp;getLayout&#8203;(java.lang.Object&nbsp;parent)</pre>
</li>
</ul>
<a id="cellsMoved(java.lang.Object[],java.awt.Point)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cellsMoved</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;cellsMoved&#8203;(java.lang.Object[]&nbsp;cells,
                          java.awt.Point&nbsp;location)</pre>
</li>
</ul>
<a id="beforeUndo(hk.quantr.mxgraph.util.mxUndoableEdit)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beforeUndo</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;beforeUndo&#8203;(<a href="../util/mxUndoableEdit.html" title="class in hk.quantr.mxgraph.util">mxUndoableEdit</a>&nbsp;edit)</pre>
</li>
</ul>
<a id="getCellsForChanges(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCellsForChanges</h4>
<pre class="methodSignature">protected&nbsp;java.util.Collection&lt;java.lang.Object&gt;&nbsp;getCellsForChanges&#8203;(java.util.List&lt;<a href="../util/mxUndoableEdit.mxUndoableChange.html" title="interface in hk.quantr.mxgraph.util">mxUndoableEdit.mxUndoableChange</a>&gt;&nbsp;changes)</pre>
</li>
</ul>
<a id="getCellsForChange(hk.quantr.mxgraph.util.mxUndoableEdit.mxUndoableChange)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCellsForChange</h4>
<pre class="methodSignature">protected&nbsp;java.util.Collection&lt;java.lang.Object&gt;&nbsp;getCellsForChange&#8203;(<a href="../util/mxUndoableEdit.mxUndoableChange.html" title="interface in hk.quantr.mxgraph.util">mxUndoableEdit.mxUndoableChange</a>&nbsp;change)</pre>
</li>
</ul>
<a id="layoutCells(java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>layoutCells</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;layoutCells&#8203;(java.lang.Object[]&nbsp;cells)</pre>
</li>
</ul>
<a id="executeLayout(hk.quantr.mxgraph.layout.mxIGraphLayout,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeLayout</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;executeLayout&#8203;(<a href="../layout/mxIGraphLayout.html" title="interface in hk.quantr.mxgraph.layout">mxIGraphLayout</a>&nbsp;layout,
                             java.lang.Object&nbsp;parent)</pre>
</li>
</ul>
<a id="destroy()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>destroy</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;destroy()</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxLayoutManager.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
